package com.ff.base.enums;


import lombok.Getter;

/**
 * 领取限制类型
 *
 * @author shang
 * @date 2024/12/25
 */
@Getter
public enum ReceiveLimitType {
    ReceiveLimitType_10("10", "完成短信验证才能领取"),
    ReceiveLimitType_11("11", "完成邮箱验证才能领取"),
    ReceiveLimitType_12("12", "完成银行卡绑定才能领取"),
    ReceiveLimitType_13("13", "绑定虚拟货币才能领取"),
    ReceiveLimitType_14("14", "绑定三方钱包才能领取"),
    ReceiveLimitType_15("15", "绑定收款方式才能领取"),
    ReceiveLimitType_16("16", "填写真实姓名才能领取"),
    ReceiveLimitType_17("17", "同姓名只能领取1次"),
    ReceiveLimitType_18("18", "完成首充才能领取"),
    ReceiveLimitType_19("19", "仅注册设备号领取"),
    ReceiveLimitType_20("20", "同登录IP只能领取1次"),
    ReceiveLimitType_1001("1001", "同浏览器指纹只能领取1次"),
    ReceiveLimitType_1002("1002", "同登录设备号只能领取1次");

    private final String code;
    private final String info;

    ReceiveLimitType(String code, String info) {
        this.code = code;
        this.info = info;
    }

}
